////////////////////////////////////////////////////////////////////////////////
//
//  ADOBE SYSTEMS INCORPORATED
//  Copyright 2005-2006 Adobe Systems Incorporated
//  All Rights Reserved.
//
//  NOTICE: Adobe permits you to use, modify, and distribute this file
//  in accordance with the terms of the license agreement accompanying it.
//
////////////////////////////////////////////////////////////////////////////////

package mx.controls
{
	
/**
 *  The ProgressBarDirection class defines the values
 *  for the <code>direction</code> property of the ProgressBar class.
 *
 *  @see mx.controls.ProgressBar
 */
public final class ProgressBarDirection
{
	include "../core/Version.as";

	//--------------------------------------------------------------------------
	//
	//  Class constants
	//
	//--------------------------------------------------------------------------

	/**
	 *  Specifies to fill the progress bar from the right to the left.
	 */
	public static const LEFT:String = "left";
	
	/**
	 *  Specifies to fill the progress bar from the left to the right.
	 */
	public static const RIGHT:String = "right";
}

}
