////////////////////////////////////////////////////////////////////////////////
//
//  ADOBE SYSTEMS INCORPORATED
//  Copyright 2005-2006 Adobe Systems Incorporated
//  All Rights Reserved.
//
//  NOTICE: Adobe permits you to use, modify, and distribute this file
//  in accordance with the terms of the license agreement accompanying it.
//
////////////////////////////////////////////////////////////////////////////////

package mx.controls
{
	
/**
 *  The ProgressBarLabelPlacement class defines the values for 
 *  the <code>labelPlacement</code> property of the ProgressBar class.
 *
 *  @see mx.controls.ProgressBar
 */
public final class ProgressBarLabelPlacement
{
	include "../core/Version.as";

	//--------------------------------------------------------------------------
	//
	//  Class constants
	//
	//--------------------------------------------------------------------------

	/**
	 *  Specifies to place the label below the progress bar.
	 */
	public static const BOTTOM:String = "bottom";
	
	/**
	 *  Specifies to place at the center inside the progress bar.
	 */
	public static const CENTER:String = "center";
	
	/**
	 *  Specifies to place the label to the left of the progress bar.
	 */
	public static const LEFT:String = "left";
	
	/**
	 *  Specifies to place the label to the right of the progress bar.
	 */
	public static const RIGHT:String = "right";
	
	/**
	 *  Specifies to place the label above the progress bar.
	 */
	public static const TOP:String = "top";
}

}
