////////////////////////////////////////////////////////////////////////////////
//
//  ADOBE SYSTEMS INCORPORATED
//  Copyright 2005-2006 Adobe Systems Incorporated
//  All Rights Reserved.
//
//  NOTICE: Adobe permits you to use, modify, and distribute this file
//  in accordance with the terms of the license agreement accompanying it.
//
////////////////////////////////////////////////////////////////////////////////

package mx.events
{

/**
 *  Constants for the values of the <code>direction</code> property
 *  of a ScrollEvent.
 *
 *  @see mx.events.ScrollEvent
 */
public final class ScrollEventDirection
{
    include "../core/Version.as";

	//--------------------------------------------------------------------------
	//
	//  Class constants
	//
	//--------------------------------------------------------------------------

	/**
	 *  The user scrolled horizontally.
	 */
	public static const HORIZONTAL:String = "horizontal";
	
	/**
	 *  The user scrolled vertically.
	 */
	public static const VERTICAL:String = "vertical";
}

}
