////////////////////////////////////////////////////////////////////////////////
//
//  ADOBE SYSTEMS INCORPORATED
//  Copyright 2005-2006 Adobe Systems Incorporated
//  All Rights Reserved.
//
//  NOTICE: Adobe permits you to use, modify, and distribute this file
//  in accordance with the terms of the license agreement accompanying it.
//
////////////////////////////////////////////////////////////////////////////////

/**
 *  Determines the color of a ProgressBar.
 *  A ProgressBar is filled with a vertical gradient between this color
 *  and a brighter color computed from it.
 *  This style has no effect on other components, but can be set on a container
 *  to control the appearance of all progress bars found within.
 *  The default value is <code>undefined</code>, which means it is not set. 
 *  In this case, the <code>themeColor</code> style property is used.
 */
[Style(name="barColor", type="uint", format="Color", inherit="yes")]

